Page MenuHomePhabricator

UploadWizard should not use iframe transport for upload_by_url requests to the wiki-own-API (FlickrUploading)
Closed, ResolvedPublic

Description

Original bug title:
UploadWizard should not use iframe transport for upload_by_url requests to the wiki-own-API (FlickrUploading)

Follow-up Bug 65406

There is no reason why UploadWizard uses a complicated iframe technique to send a simple XHR to the API. The XHR has no file attached so, disregarding abstraction, $.post() would do the job in all browsers.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=72340

Details

Reference
bz65423

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:18 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz65423.
Rillke created this task.May 16 2014, 10:09 PM

Change 168556 had a related patch set uploaded by Gilles:
Make flickr import use postWithToken instead of iframe transport

https://gerrit.wikimedia.org/r/168556

Gilles triaged this task as Normal priority.Nov 24 2014, 1:24 PM
Gilles moved this task from Untriaged to Ready for testing on the Multimedia board.Dec 2 2014, 9:09 AM
Gilles added a comment.Dec 3 2014, 1:40 PM

I believe uploads on beta commons are still broken, so can't really test this live, unfortunately.

Gilles closed this task as Resolved.Dec 4 2014, 8:50 AM
Gilles moved this task from Ready for testing to Done on the Multimedia board.